#include "lc_my_line_edit.h"
#include <QDebug>
#include <QDateTime>

LcMyLineEdit::LcMyLineEdit(QWidget *parent) :
    QLineEdit(parent)
{
}

void LcMyLineEdit::focusInEvent( QFocusEvent *e)
{
    QLineEdit::focusInEvent(e);
    emit focusIn();
}


void LcMyLineEdit::focusOutEvent( QFocusEvent *e)
{
    QLineEdit::focusOutEvent(e);
    emit focusOut();
}

void LcMyLineEdit::keyPressEvent(QKeyEvent *e)
{
    QLineEdit::keyPressEvent(e);
        emit myTextChange();

}
